=head1 NAME

Kwiki::Indexer::Regex - Kwiki Indexer Dummy module

=head1 SYNOPSIS

kwiki -add Kwiki::Indexer::Regex

=head1 DESCRIPTION

A dummy indexer class.  Doesn't actually do any indexing.  The perform_search
method performs a regex match against all pages in the store.

The B<perform_search> method is based on Brian Ingerson's Kwiki::Search
plugin.

=head1 AUTHOR

Russell Heilling <chewtoy@s8n.net>

=head1 COPYRIGHT

Copyright (c) 2004. Russell Heilling. All rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

See http://www.perl.com/perl/misc/Artistic.html
